OMERO Plugin to Fiji not working

Good Morning. (I was at the Workshop with Petr and Dominik in Edinburgh last week)

I have installed Fiji and OMERO as a plugin (omero_ij-5.5.9-all.jar) to Fiji, however, I cannot log into our OMERO server via the plugin. However, I can log in via OMERO.insight and OMERO.web.

We are running the latest OMERO (5.6), and both the log in dialogs to OMERO within insight and Fiji say there are running the version 5.5.9 (I had to download the latest version of insight, as I’d forgotten to do that after we’d upgraded to 5.6.)

I downloaded Fiji from their website, and run the included updater, as invited to byFiji
Fiji then told me to that it was going to update the library “plugins/TrackMate_.jar” - I don’t think this makes a difference, as I tried again, without applying this update, and it still doesn’t work!

Hope you can help me out - Many thanks

Mike Wicks

PS. I assume this is the correct place to report bugs/issues now … ?

Hi Mike

Could you check if you have OMERO 5.5 update site on?
This could be the source of the problem.
If this is the case, remove it for now.
Another blitz.jar is added under jars and that will prevent from connecting to a recent version of the OMERO server.

Cheers

Jmarie

Thank you Jean-Marie

How do I check that? (I don’t think I quite understands what you’re asking me to do?)

Cheers
MW

hi Mike

Open Fiji

  • Go to Help > Update. When done, a dialog will pop up
  • Click on Manage update sites
  • Check if OMERO 5.5 is selected. If this is the case, deselect and update

Cheers
Jmarie

Ah ha! Thanks - Done that, but I don’t have a 5.5 site in my Update Sites (See attached).
Also I notice that ImageJ don’t have a 5.6 version yet (See attached)
We’ve gone to 5.6 a few weeks ago

Any suggestions … ?

PS. We have another OMERO instance still at 5.4 but obviously the 5.5 plugin doesn’t work with that, and I can find where the 5.4 plugin is to download it and try?

Hi Mike,

as all parts of OMERO software stack are now decoupled, the versioning can be a bit confusing. You seem to have done everything correct: In order to connect to an OMERO 5.6 server you need the omero_ij-5.5.9-all.jar (from the openmicroscopy download site) in Fiji’s plugins directory. You have to do that manually, it’s not on the official Fiji update site yet. On that occassion make sure that you don’t have any older omero_ij-*.jars in there.
If you get an error when connecting to OMERO, could you just close Fiji and try again? Sometimes it doesn’t work on the first attempt. If you get a warning that an update for the OMERO.plugin is necessary, just ignore it. That’s also due to the divergence of the versioning system, we still need to update the version checking in the plugin.

Regards,
Dominik

Thanks Dom!

That’s seems to be better now, however, I didn’t take the Fiji Upgrade option when I started it for the first time. Should I do this?

The plugin works - in other words it looks like it did in the Workshop - but I get a warning in the Console about OMERO version 5.6 … ? (See attached)

I get an error when opening the image I want to work on, but I think that’s at my end now.

Thanks
Mike W

FYI I get this dialog too when I try to download - I was reluctant to act on its suggestion!

Cheers
MW

Hi @mwicks
Great that it works now.

No, not necessary for the OMERO plugin, that should work whether you upgrade your Fiji or not. Think about strategies for upgrading your Fiji rather in the context of your Fiji as a whole.

Do not worry about that warning in the console, as @dominikl said.

You have an error opening your image - yes, hopefully this is due to the image - you can easily verify this by connecting to the server we were using for the workshop - this is available for you still as it was in workshop, this whole week and next week too.

All the best

Petr

OME Team

Oh, yes, do not worry too much about this. It just will or will not automatically check for updates of Bio-Formats. I would myself prefer to say “do not automatically check for updates”. But then, of course, you might want to do it manually after some time or at such time when you upgrade your OMERO plugin as well.

All the best

Petr

THANKS Guys!

I think I understand everything that I need to do

Thanks for the help - See you in May!!!

Mike W

Hi there Jean Marie and Petr - I have a further update!

The Plug-in now works, but I get a Java exception when downloading an image via the plugin:
"loci.formats.FormatException: omero.ApiUsageException
serverStackTrace = “ome.conditions.ApiUsageException: Converting Long 5064622080 to Integer is an overflow.”

Does this look like an OME error?

(I have upgraded to Java* as prompted by Fiji too!)

Hope this helps?

Mike W

fiji_download_exception.txt (20.6 KB)

Hi Mike

Thanks for the report
How big is the image you are trying to download?
It is an OME error
I have created a GitHub issue

Cheers

Jmarie

Hi there Jean-Marie - the image is only 348Mb

Thanks
Mike W

Thanks
That’s strange
We will do some testing and update progress on GitHub issue

Jmarie

Hi there Jean-Marie - has there been any progress on this?
Many thanks
Mike W

Hi Mike

I did not have a chance to look into the problem I was on the road last week.
I will update the issue so you can follow progress

Cheers
Jmarie

hi Mike,
will you be able to send us the file creating the problem?
I have not yet been able to reproduce it
you can submit the file via https://www.openmicroscopy.org/qa2/qa/upload/

Thanks

Jmarie

Hi there Jean-Marie

I’m having some technical problems at my end just now

I’ll get back to you ASAP with some feedback when they’re resolved

Many thanks
Mike W

Hi there Jean-Marie - Some progress …

I have uploaded a file: “FAP Ademona 6 - 2016-08-25 13.55.22.ndpi”

When opening with Fiji via the OMERO plug-in (open in ImageJ option), this produces the attached exception; “Converting Long 5064622080 to Integer is an overflow”

Hope this helps
Mike W

PS. the Image file IS uploading, just taking its time!

FAP_Ademona_6_-_2016-08-25_13-55-22_dot_ndpi_Exception.txt (20.2 KB)